<!DOCTYPE html>
<html>

<head>
  <title> User Detail </title>
  <meta charset='utf-8'>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body >
  
  <div class="div-background-picture">

  
  <div class="container jumbotron div-container-jumbotron  ">
    <div class="col-sm-12 ">
      <div class="text-center mb-5 " > <h1 style="color:rgb(32, 207, 140)"> User Detail</h1> </div>
      <div class="row form-group">   
          <div class="col-sm-4 col-form-label">
            <label >First Name</label>
          </div>
          <div class="col-sm-8">
            <input id="inp-first-name" type="text" class="form-control" placeholder="input your firstname">
          </div>
      </div>
      <div class="row form-group">
          <div class="col-sm-4 col-form-label">
            <label >Last Name</label>
          </div>
          <div class="col-sm-8">
            <input id="inp-last-name" type="text" class="form-control" placeholder="input your lastname">
          </div>
      </div>
      <div class="row form-group">
          <div class="col-sm-4 col-form-label">
            <label >Subject</label>
          </div>
          <div class="col-sm-8">
            <input id="inp-subject" type="text" class="form-control" placeholder="input subject">
          </div>
      </div>
      <div class="row form-group">
          <div class="col-sm-4 ">
            <label >Country</label>
          </div>
          <div class="col-sm-8">
            <select id="select-country" class="form-control">
              <option value="VN"> Vietnam</option>
              <option value="USA"> USA</option>
              <option value="AUS"> Australia</option>
              <option value="CAN"> Canada</option>
            </select>
          </div>
      </div>
      <div class="row form-group">
          <div class="col-sm-4 col-form-label">
            <label >Customr Type</label>
          </div>
          <div class="col-sm-8">
            <select id="select-customer-type" class="form-control">
              <option value="Standard"> Standard </option>
              <option value="Gold"> Gold </option>
              <option value="Premium"> Premium </option>
            </select>
          </div>
      </div>
      <div class="row form-group">
          <div class="col-sm-4 col-form-label">
            <label >Register Status</label>
          </div>
          <div class="col-sm-8 form-group">
            <select id="select-register-status" class = "form-control">
              <option value="New"> New </option>            
              <option value="Accepted"> Accepted </option>
              <option value="Denied"> Denied </option>
            </select>
          </div>
      </div>
      <div class="row">
        <div class="col-sm-4 form-group">
        </div>
        <div class="col-sm-8"> <!--Buttons-->
          <a id="btn-update-click" class="col-3 btn btn-success" onclick="onConfirmButtionClick()">Update user</a>
          <a id="btn-cancel-click" class="col-3 btn btn-primary " onclick="onCancelButtionClick()">Cancel</a>
          <a id="btn-return-click" class="col-3 btn btn-warning " href = "file:///C:/Users/hphat/Desktop/J2232/2023-02-23/Task%2032.50/task%2032.50.html">Return</a>
        </div>
      </div>        
    </div> 
  </div>
  
</div>

</body>
<style>

    .div-background-picture {
        background-image: url("images/signup-bg.jpg");
        height: 100%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        opacity: 1;
        margin-top: 100px;
    }
    .div-container-jumbotron {
        padding: 120px;
        background-color: white;
        border-radius: 15px;
    }

    .div-create-account {
        margin-top: -70px;
        font-family:Arial, Helvetica, sans-serif
    }

    .div-input-box {
        border-radius: 8px;
        height: 60px;
        opacity: 0.7;
        margin-bottom: 22px;
    }

    .div-button {
        height: 50px;
    }
</style>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
   const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
 
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  $(document).ready(function(){
    onPageLoading();
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  
  //function for loading event
  function onPageLoading(){

    //get data from query string
    var vUrlString = window.location.href;
    var vUrl = new URL(vUrlString);
    //get parameter
    var vId = vUrl.searchParams.get("id");
    console.log("vID: " , vId);
    callApiGetDataUserById(vId);

  }

  //function for calling API from server
  function callApiGetDataUserById(parameter){
    $.ajax({
      url: gBASE_URL + parameter,
      type: "GET",
      success: function(result){
        console.log(result);
        displayDataOnWeb(result);
      },
      error: function(ajaxContext){
        console.log(ajaxContext.responseText);
      }
    });
  }

  //function for displaying data on the web
  function displayDataOnWeb(paramData){

    $("#inp-first-name").val(paramData.firstname);
    $("#inp-last-name").val(paramData.lastname);
    $("#inp-subject").val(paramData.subject);
    $("#select-country").val(paramData.country);
    $("#select-customer-type").val(paramData.customerType);
    $("#select-register-status").val(paramData.registerStatus);

  }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
 

  
</script>

</html>